### Name: JLL.plot
### Title: Plots of Nonparametric Elements of a Generalized Homothetic
###   Production Function
### Aliases: JLL.plot
### Keywords: smooth

### ** Examples

library(JLLprod)
data(ecu)
##This part simply does some data sorting & trimming
xlnK <- ecu$lnk
xlnL <- ecu$lnl
xlnY <- ecu$lny
xqKL <- quantile(xlnK-xlnL,  probs=c(2.5,97.5)/100)
yx <- cbind(xlnY,xlnK,xlnL)
tlnklnl <- yx[((yx[,2]-yx[,3])>=xqKL[1]) & ((yx[,2]-yx[,3])<=xqKL[2]),]
tlnklnl[,2]<-tlnklnl[,2]-tlnklnl[,3]
g<-seq(min(tlnklnl[,3]),max(tlnklnl[,3]),length=29)

#This part does the actual calculations & plots
m.JLL <- JLL(xx=tlnklnl[,2],zz=tlnklnl[,3],yy=tlnklnl[,1],p1=2,p2=2,
             pstar=0,h1=3.125,h2=5.25,ngrid=30,z0=g[25],r0=7.5)
JLL.plot(m.JLL)



